use psxcdgen_ex::types::{CDDesc, Data};
use tool_helper::Error;

fn populate() -> Result<CDDesc, Error> {
    let mut desc = CDDesc::new();
    let     file = Data::new("Planschi")?;

    desc.root.add_data(file);
    Ok(desc)
}

fn run_main() -> Result<(), Error> {
    let desc = populate()?;

    desc.root.iter();
    Ok(())
}

fn main() {
    match run_main() {
        Ok(_)      => println!("Planschbecken"),
        Err(error) => println!("{}", error)
    }
}